<?php

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

// include '../pdloginvariables.php'; // you can ignore/skip this line

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}

?>
<!DOCTYPE html>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">
        <?php

        $sql = 		"SELECT * FROM devices, manufacturers, systems, types WHERE 1=1";
        $sql .= " AND name LIKE '%" .
           $_REQUEST['device_name'] . "%'";
        if($_REQUEST['manufacturer_id'] != "all") {
            $sql .= " AND manufacturer ='" . $_REQUEST["manufacturer_id"] . "'";
        }
        if($_REQUEST['system_id'] != "all") {
            $sql .=		" AND system = '" . $_REQUEST["system_id"] . "'";
        }
        if($_REQUEST['type_id'] != "all") {
            $sql .=		" AND type = '" . $_REQUEST["type_id"] . "'";
        }

        $results = $mysql->query($sql);

        if(!$results) {
            echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
            echo "SQL Error: " . $mysql->error . "<hr>";
            exit();
        }

        echo "<em>Your results returned <strong>" .
                $results->num_rows .
                "</strong> results.</em>";
        echo "<br><br>";
//NEED TO GET THE ID FROM THE SELECTED FILE
        while($currentrow = $results->fetch_assoc()) {
            echo "<div><strong>"."<a href='details.php?recordid=" ."'>" .
                 $currentrow['device_name'] . "</a>" .
                "</strong>".
                " (<em>Manufacturer: " . $currentrow['manufacturer_id'] . "  System: " . $currentrow['system_id'] .
                "  Type: " . $currentrow['type_id'] ."</em>) </div>" .
                "<div class='link''>" .

                "<a href='details.php?recordid=".
                $currentrow["device_id"]."'>" .
                "View</a>" .
                "<br style='clear:both;'>";

        }
?>


    </div>



    <table>

        <tr>

            <th>Name</th>

            <th>Price</th>

            <th>Manufacturer</th>

            <th>System</th>

            <th>Type</th>

        </tr>



        <!--

        ****** SAMPLE OUTPUT ROW ******

        -->

        <tr>

            <td><a href="details.php?id=10">Pixel</a></td>

            <td>549.00</td>

            <td>Google</td>

            <td>Android</td>

            <td>Smartphone</td>

        </tr>

        <tr>

            <td><a href="details.php?id=11">Pixel 2</a></td>

            <td>649.00</td>

            <td>Google</td>

            <td>Android</td>

            <td>Smartphone</td>

        </tr>

        <tr>

            <td><a href="details.php?id=12">Pixelbook</a></td>

            <td>999.00</td>

            <td>Google</td>

            <td>Android</td>

            <td>Laptop</td>

        </tr>

    </table>

</div>

</body>

</html>


